Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.fireworks.ai/v1/accounts/{account_id} \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.fireworks.ai/v1/accounts/{account_id}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.fireworks.ai/v1/accounts/{account_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.fireworks.ai/v1/accounts/{account_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.fireworks.ai/v1/accounts/{account_id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.fireworks.ai/v1/accounts/{account_id}") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.fireworks.ai/v1/accounts/{account_id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "email": "<string>", "name": "<string>", "displayName": "<string>", "createTime": "2023-11-07T05:31:56Z", "accountType": "ACCOUNT_TYPE_UNSPECIFIED", "state": "STATE_UNSPECIFIED", "status": { "code": "OK", "message": "<string>" }, "suspendState": "UNSUSPENDED", "updateTime": "2023-11-07T05:31:56Z", "notificationSettings": { "monthlySpendThresholds": [ { "currencyCode": "<string>", "units": "<string>", "nanos": 123 } ] }, "productivityOnly": true }
Bearer authentication using your Fireworks API key. Format: Bearer <API_KEY>
The Account Id
The fields to be returned in the response. If empty or "*", all fields will be returned.
A successful response.
The primary email for the account. This is used for billing invoices and account notifications.
Human-readable display name of the account. e.g. "My Account" Must be fewer than 64 characters long.
The creation time of the account.
The type of the account.
ACCOUNT_TYPE_UNSPECIFIED
ENTERPRISE
The state of the account.
STATE_UNSPECIFIED
CREATING
READY
UPDATING
DELETING
Contains information about the account status.
Show child attributes
UNSUSPENDED
FAILED_PAYMENTS
CREDIT_DEPLETED
MONTHLY_SPEND_LIMIT_EXCEEDED
BLOCKED_BY_ABUSE_RULE
The update time for the account.
Notification settings for this account.
Marks this account as productivity/coding-only. Set once at account creation.
Was this page helpful?